"use strict";

import { decode_payload } from './DecodePayload.mjs';

class MessageHandler {
	constructor({ ReadingRepo, RSSIRepo, GatewayRepo }) {
		this.repo_reading = ReadingRepo;
		this.repo_rssi = RSSIRepo;
		this.repo_gateway = GatewayRepo;
	}
	
	async handle(message) {
		console.log(message);
		
		let decoded_payload = decode_payload(message.payload_raw);
		console.log(decoded_payload);
		
		this.repo_reading.add({
			id: decoded_payload.id,
			latitude: decoded_payload.latitude,
			longitude: decoded_payload.longitude,
			
			data_rate: message.metadata.data_rate,
			code_rate: message.metadata.coding_rate
		});
	}
}

export default MessageHandler;
